Request welcome message
curl --request POST \
--url https://api.livechatinc.com/v3.6/customer/action/request_welcome_message \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.livechatinc.com/v3.6/customer/action/request_welcome_message"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.livechatinc.com/v3.6/customer/action/request_welcome_message', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "540eb790-17c1-47f9-9e2c-dca5a0960ab5",
"predicted_agent": {
"id": "b5657aff34dd32e198160d54666df9d8",
"name": "Agent Smith",
"avatar": "https://example.avatar/example.com",
"is_bot": false,
"job_title": "support hero",
"type": "agent"
},
"queue": false
}Other
Request welcome message
Requests a welcome message from the system. The response contains the predicted agent the customer will chat with once the chat starts. This method requires the customer to be logged in.
The welcome message event is sent asynchronously via the incoming_welcome_message push.
POST
/
action
/
request_welcome_message
Request welcome message
Authorizations
Customer access token obtained from the customer authorization flow.
Query Parameters
Unique identifier of the organization.
Was this page helpful?
⌘I